// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package config

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestNewSystemConfig(t *testing.T) {
	s := NewSystem()
	assert.NotNil(t, s)
}

func TestSystemConfig(t *testing.T) {
	s := NewSystem()
	assert.NotNil(t, s)

	assert.True(t, s.Has("GOARCH"))
}
