// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package ext

import (
	"io"
)

func WriteNopCloser(w io.Writer) io.WriteCloser {
	return writeNopCloser{w}
}

type writeNopCloser struct {
	io.Writer
}

func (writeNopCloser) Close() error { return nil }
