// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package fan

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestNewUserSource(t *testing.T) {
	s := NewUser()
	assert.NotNil(t, s)
}

func TestExtractUsers(t *testing.T) {
	u := NewUser()
	assert.NotNil(t, u)

	document, err := u.Extract(nil, nil)
	assert.Nil(t, err)
	assert.NotNil(t, document)
	assert.Greater(t, document.Len(), 0)
}
