// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package resource

import (
_	"fmt"
_	"github.com/stretchr/testify/assert"
_	"os"
_	"strings"
_	"testing"
)

type MockConfig func(key string) (value any, err error)

func (m MockConfig) GetValue(key string) (value any, err error) {
	return m(key)
}
